Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Unable to remove bad package installed from .deb

  1. #1
    Join Date
    Dec 2004
    Location
    Duluth, Minnesota
    Beans
    13

    Unable to remove bad package installed from .deb

    I attempted to install the CLI management tool for my Highpoint Rocket Raid card (rr62x) downloaded from this page: http://www.highpoint-tech.com/USA_new/series_rr600.htm


    When I tried installing it, this is what happens:
    Code:
    # dpkg -i hptraidconf_3.5_amd64.deb 
    Selecting previously deselected package hptraidconf.
    (Reading database ... 68853 files and directories currently installed.)
    Unpacking hptraidconf (from hptraidconf_3.5_amd64.deb) ...
    Setting up hptraidconf (3.5) ...
    dpkg (subprocess): unable to execute installed post-installation script: No such file or directory
    dpkg: error processing hptraidconf (--install):
     subprocess installed post-installation script returned error exit status 2
    Errors were encountered while processing:
     hptraidconf
    I've tried removing it, purging it, reconfiguring it... no matter what I do, it stays in a failed-config state.


    Code:
    # dpkg -l hptraidconf
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name                                                 Version                                              Description
    +++-====================================================-====================================================-========================================================================================================================
    rFR hptraidconf                                          3.5                                                  HighPoint RAID Management command line interface
    root@vault:# aptitude purge hptraidconf
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Reading extended state information      
    Initializing package states... Done
    The following packages will be REMOVED:
      hptraidconf{p} 
    0 packages upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    Need to get 0B of archives. After unpacking 1,012kB will be freed.
    Do you want to continue? [Y/n/?] y
    Writing extended state information... Done
    dpkg: error processing hptraidconf (--purge):
     Package is in a very bad inconsistent state - you should
     reinstall it before attempting a removal.
    Errors were encountered while processing:
     hptraidconf
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    A package failed to install.  Trying to recover:
    Reading package lists... Done             
    Building dependency tree       
    Reading state information... Done
    Reading extended state information      
    Initializing package states... Done
    Writing extended state information... Done
    
    root@vault:# dpkg -l hptraidconf
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name                                                 Version                                              Description
    +++-====================================================-====================================================-========================================================================================================================
    pFR hptraidconf                                          3.5                                                  HighPoint RAID Management command line interface
    root@vault:# dpkg -P --force-all hptraidconf
    dpkg: warning: overriding problem because --force enabled:
     Package is in a very bad inconsistent state - you should
     reinstall it before attempting a removal.
    (Reading database ... 51738 files and directories currently installed.)
    Removing hptraidconf ...
    dpkg (subprocess): unable to execute installed pre-removal script: No such file or directory
    dpkg: error processing hptraidconf (--purge):
     subprocess installed pre-removal script returned error exit status 2
    dpkg (subprocess): unable to execute installed post-installation script: No such file or directory
    dpkg: error while cleaning up:
     subprocess installed post-installation script returned error exit status 2
    Errors were encountered while processing:
     hptraidconf
    root@vault:# dpkg -r --force-all hptraidconf
    dpkg: warning: overriding problem because --force enabled:
     Package is in a very bad inconsistent state - you should
     reinstall it before attempting a removal.
    (Reading database ... 51738 files and directories currently installed.)
    Removing hptraidconf ...
    dpkg (subprocess): unable to execute installed pre-removal script: No such file or directory
    dpkg: error processing hptraidconf (--remove):
     subprocess installed pre-removal script returned error exit status 2
    dpkg (subprocess): unable to execute installed post-installation script: No such file or directory
    dpkg: error while cleaning up:
     subprocess installed post-installation script returned error exit status 2
    Errors were encountered while processing:
     hptraidconf
    root@vault:# dpkg -l hptraidconf
    Desired=Unknown/Install/Remove/Purge/Hold
    | Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
    |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    ||/ Name                                                 Version                                              Description
    +++-====================================================-====================================================-========================================================================================================================
    rFR hptraidconf                                          3.5                                                  HighPoint RAID Management command line interface

    How can I get this package removed? I was able to get a different management tool installed to configure my RAID so I don't need this one. My system appears to be working, but everytime I use apt-get to install something else, it shows the hptraidconf package as failed.

  2. #2
    Join Date
    May 2010
    Location
    uk
    Beans
    9,324
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Unable to remove bad package installed from .deb

    Hi

    Have you tried

    sudo apt-get install -f

    Kind regards

  3. #3
    Join Date
    Dec 2004
    Location
    Duluth, Minnesota
    Beans
    13

    Re: Unable to remove bad package installed from .deb

    Code:
    root@vault:~# apt-get install -f
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: The package hptraidconf needs to be reinstalled, but I can't find an archive for it.
    It was installed from a downloaded .deb file


    I should add, this is Ubuntu 10.04 server

  4. #4
    Join Date
    May 2010
    Location
    uk
    Beans
    9,324
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Unable to remove bad package installed from .deb

    Hi

    Can you print the output of

    cat /var/lib/dpkg/status | grep hptraidconf

    Kind regards

  5. #5
    Join Date
    Dec 2004
    Location
    Duluth, Minnesota
    Beans
    13

    Re: Unable to remove bad package installed from .deb

    Code:
    root@vault:/# cat /var/lib/dpkg/status |grep hptraidconf
    Package: hptraidconf
    root@vault:/#
    hptraidconf is in RED.

  6. #6
    Join Date
    May 2010
    Location
    uk
    Beans
    9,324
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Unable to remove bad package installed from .deb

    Hi

    There is a way to manually remove a package from dpkg.
    This is assuming you have tried _all_ other methods.
    i.e Purging and removing the package from dpkg.

    As unless you know what you are doing you can do serious damage. If you want to be sure, it might be worth trying it in a VM first.
    And make a backup the /var/lib/dpkg directory. I dont want to break your setup. Use at your own risk. Also i used this under debian.

    1. dpkg -P hptraidconf

    If this does not work

    2. dpkg -L hptraidconf

    This will list the files that hptraidconf uses.

    Navigate to.

    3. /var/lib/dpkg/info

    Delete the file.

    4. hptraidconf.postrm

    Run

    5. apt-get remove --purge hptraidconf

    Remove all files and directories you found with dpkg -L

    Then run

    6. apt-get update.

    Kind regards.

  7. #7
    Join Date
    Dec 2004
    Location
    Duluth, Minnesota
    Beans
    13

    Re: Unable to remove bad package installed from .deb

    That worked! Thank you so much!

  8. #8
    Join Date
    Nov 2010
    Beans
    102

    Re: Unable to remove bad package installed from .deb

    Thank you this worked perfectly.

    just 1 more note to add

    you can also remove the htpsvr as well using this method.

    The htpsvr fails to install properly in 10.10 just like hptraidconf


    *** UPDATE ***

    Created a new Guide to install the GUI version of the RAID management software
    http://ubuntuforums.org/showthread.php?p=10712667
    Last edited by AllGamer; April 24th, 2011 at 05:10 AM.

  9. #9
    Join Date
    May 2008
    Location
    Reisterstown, MD USA
    Beans
    27
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Unable to remove bad package installed from .deb

    Interesting how there are others, perhaps many with the same issues. This RocketRAID hardware/software has been a curse for the past 2 weeks and I just found this thread. Never again will I purchase anything made by HighPoint! GARBAGE!

    I did all the above several times and I still get the error:

    E: I wasn't able to locate file for the hptraidconf package. This might mean you need to manually fix this package.
    Writing extended state information... Done
    E: I wasn't able to locate file for the hptraidconf package. This might mean you need to manually fix this package.
    E: Internal error: couldn't generate list of packages to download

    This is causing frequent errors in my recently reinstalled system. I'll loose a lot if I have to reinstall the OS. Any help would be appreciated...
    Last edited by dmovad; September 17th, 2011 at 07:56 PM. Reason: continued issues...

  10. #10
    Join Date
    May 2008
    Location
    Reisterstown, MD USA
    Beans
    27
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Unable to remove bad package installed from .deb

    I finally found a solution from searching for two days:

    dpkg --remove --force-remove-reinstreq hptraidconf

    I want to reaffirm "NEVER AGAIN WILL I BUY ANY RocketRAID PRODUCT"!

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •